## mgetty 1.2.1

=== Makefile ===
# Makefile fuer 'pbm2styl800'
#
# (C) 9/1995 Tilman Kuepper (tilman@tilli.tng.oche.de)
#
# $Date: 1995/09/07 01:27:58 $
# $Revision: 1.0 $
# $State: Released $

# Compiler:
CC	= cc

# Compiler-Flags:
CFLAGS	= -O2 -Wall

# Ausfuehrbares Programm:
pbm2styl800: pbm2styl800.o
	$(CC) $(CFLAGS) -o pbm2styl800 pbm2styl800.o

# Objektdatei:
pbm2styl800.o: pbm2styl800.c
	$(CC) $(CFLAGS) -c pbm2styl800.c

#
# Objektdatei und Muell loeschen:
#
clean: 
	rm -f pbm2styl800.o pbm2styl800.c~ Makefile~ README~ pbm2styl800.1~

#
# TAR-Archiv erstellen
#
tar:
	tar zcvf pbm2styl800.tar.gz pbm2styl800.c Makefile README pbm2styl800.1

=== contrib/Makefile ===
#
# Makefile for miscellaneous stuff in contrib
#
#
# settings for CC, CFLAGS imported from above
# (call with "make contrib-all" from top level mgetty directory)

all: faxin

FIOBJS=faxin.o \
	../modem.o ../faxlib.o ../faxrec.o ../faxsend.o ../faxhng.o \
	../logfile.o ../io.o ../tio.o ../getdisk.o

faxin: $(FIOBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o faxin $(FIOBJS) $(LIBS)

faxin.o: faxin.c ../mgetty.h ../policy.h
	$(CC) $(CFLAGS) $(LDFLAGS) -I.. -c -o faxin.o faxin.c $(LIBS)

g3hack: g3hack.c
	$(CC) $(CFLAGS) -o g3hack g3hack.c

clean:
	rm -f faxin g3hack *.o

=== voice/Makefile ===
#
# Makefile
#
# This is the Makefile for the whole vgetty stuff.
#
# $Id: Makefile,v 1.10 2018/03/04 19:39:56 gert Exp $
#

AR=ar
ARFLAGS=rc
RANLIB=ranlib
CC=gcc
LN=ln
MV=mv
RM=rm

MGETTYLIB=../../getdisk.o ../../goodies.o ../../io.o ../../g3file.o \
	../../locks.o ../../tio.o ../../modem.o  ../../clean_line.o \
	../../class1.o ../../class1lib.o ../../hyla_nsf.o 

LIBDIRS=libpvf libutil libvoice libmgsm
LIBPVF=../libpvf/libpvf.a
LIBUTIL=../libutil/libutil.a
LIBVOICE=../libvoice/libvoice.a
LIBGSM=../libmgsm/libmgsm.a

PROGRAMDIRS=pvftools vgetty vm

PVFTOOLS=pvfamp pvfcut pvfecho pvffile pvffilter pvffft pvfmix pvfnoise \
	pvfreverse pvfsine pvfspeed pvftormd rmdtopvf rmdfile pvftovoc \
	voctopvf pvftolin lintopvf pvftobasic basictopvf pvftoau autopvf \
	pvftowav wavtopvf
                        
SUBDIRS=$(LIBDIRS) $(PROGRAMDIRS)

.c.o:
	$(CC) $(CFLAGS) -c $*.c

all: ../policy.h
	cd ..; $(MAKE) vgetty

install:
	cd ..; $(MAKE) vgetty-install

shell_scripts: ../sedscript
	for i in $(SHELLSCRIPTS); do ../sedscript <$$i.in >$$i; chmod 750 $$i;\
	 done

../policy.h:
	@echo ""
	@echo "You didn't build mgetty first. Please read the documentation."
	@echo ""
	@exit 1

../sedscript: ../policy.h ../Makefile ../mksed.c
	@cd .. ; $(MAKE) sedscript

all-message:
	@echo ""
	@echo "  Building the voice extensions"
	@echo "  -----------------------------"
	@echo ""

vgetty-all: all-message # shell_scripts
	@for i in $(SUBDIRS) ;\
	do \
		echo "In "$$i"..." ;\
		cd $$i ;\
		$(MAKE) AR="$(AR)" ARFLAGS="$(ARFLAGS)" CC="$(CC)" \
		 CFLAGS="$(CFLAGS)" CONFDIR="$(CONFDIR)" \
		 VARRUNDIR="$(VARRUNDIR)" \
		 FAX_SPOOL_IN="$(FAX_SPOOL_IN)" LIBPVF="$(LIBPVF)" \
		 LIBUTIL="$(LIBUTIL)" LIBVOICE="$(LIBVOICE)" \
		 LIBGSM="$(LIBGSM)" LIBS="$(LIBS)" \
		 LDFLAGS="$(LDFLAGS)" LN="$(LN)" MGETTYLIB="$(MGETTYLIB)" \
		 MV="$(MV)" PVFTOOLS="$(PVFTOOLS)" RANLIB="$(RANLIB)" \
		 RM="$(RM)" SHELL="$(SHELL)" || exit 1 ;\
		cd .. ;\
	done

vgetty-install: vgetty-all
	@echo ""
	@echo "  Installing the voice extensions"
	@echo "  -------------------------------"
	@echo ""
	$(INSTALL) -m 700 vgetty/vgetty $(SBINDIR)
	$(INSTALL) -m 755 vm/vm $(BINDIR)
	for i in $(PVFTOOLS); \
	do \
	     $(INSTALL) -m 755 pvftools/$$i $(BINDIR); \
	done
	$(INSTALL) -m 644 man/man1/zplay.1 $(MAN1DIR)
	$(INSTALL) -m 644 man/man1/pvf.1 $(MAN1DIR)
	$(INSTALL) -m 644 man/man8/vgetty.8 $(MAN8DIR)
	cd $(MAN1DIR); \
	for i in $(PVFTOOLS); \
	do \
	     $(RM) -f $$i.1; $(LN) -s pvf.1 $$i.1; \
	done
#	[ -d $(VOICE_DIR) ] || mkdir $(VOICE_DIR)
#	[ -d $(VOICE_DIR)/incoming ] || mkdir $(VOICE_DIR)/incoming
#	chown 0 $(VOICE_DIR)/incoming
#	chgrp $(PHONE_GROUP) $(VOICE_DIR)/incoming
#	chmod $(PHONE_PERMS) $(VOICE_DIR)/incoming
#	[ -d $(VOICE_DIR)/messages ] || mkdir $(VOICE_DIR)/messages
#	for i in $(SHELLSCRIPTS); do \
#		$(INSTALL) -m 755 $$i $(VOICE_DIR) ;\
#	done
#	[ -f $(VOICE_DIR)/.code ] || echo '12345' >$(VOICE_DIR)/.code
#	chgrp $(PHONE_GROUP) $(VOICE_DIR)/.code
#	chmod $(PHONE_PERMS) $(VOICE_DIR)/.code
#	chmod 660 $(VOICE_DIR)/.code
#	[ -f $(VOICE_DIR)/messages/Index ] || \
#	 echo 'put_filename_here' >$(VOICE_DIR)/messages/Index

clean:
	@echo "Cleaning..."
	@$(RM) -f $(MAIN) $(PVFTOOLS) $(SHELLSCRIPTS) ../vgetty.c
	@for i in $(SUBDIRS) ;\
	do \
		echo "In "$$i"..." ;\
		cd $$i ;\
		$(MAKE) RM="$(RM)" PVFTOOLS="$(PVFTOOLS)" clean || exit 1 ;\
		cd .. ;\
	done

=== contrib/next-login/Makefile ===
#
# Copyright (c) 1988 Regents of the University of California.
# All rights reserved.
#
# Redistribution and use in source and binary forms are permitted
# provided that the above copyright notice and this paragraph are
# duplicated in all such forms and that any documentation, advertising
# materials, and other materials related to such redistribution and
# use acknowledge that the software was developed by the University
# of California, Berkeley.  The name of the University may not be
# used to endorse or promote products derived from this software
# without specific prior written permission.  THIS SOFTWARE IS PROVIDED
# ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
# WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND
# FITNESS FOR A PARTICULAR PURPOSE.
#
# from @(#)Makefile	5.3 (Berkeley) 5/9/89
#

CFLAGS=        -O -bsd -DORIGINAL -DFIX8BIT
LIBC=	/lib/libsys_s.a
SRCS=	login.c setenv.c
OBJS=	login.o setenv.o
MAN=	login.0
DESTDIR= /usr/local

all: login

login: ${LIBC} ${OBJS}
	${CC} -object -o $@ -s ${OBJS}

setenv.o: setenv.c
	${CC} ${CFLAGS} -DLIBC_SCCS -c $<

clean:
	rm -f ${OBJS} core login

cleandir: clean
	rm -f ${MAN} tags .depend

depend: ${SRCS}
	mkdep -p ${CFLAGS} ${SRCS}

install:
	install -s -o root -g bin -m 4755 login ${DESTDIR}/bin/modem-login

lint: ${SRCS}
	lint ${CFLAGS} ${SRCS}

tags: ${SRCS}
	ctags ${SRCS}

=== frontends/dialog/Makefile ===
# Makefile for the "frontends/dialog" subtree
# of mgetty+sendfax
#
# SCCS: %W% %E% Copyright (c) Gert Doering
#

#DIALOG_SCRIPTS=faxv listen xfaxq
DIALOG_SCRIPTS=faxv xfaxq

all: $(DIALOG_SCRIPTS)

faxv: faxv.in ../../sedscript
	../../sedscript <faxv.in >faxv
	chmod 755 faxv

listen: listen.in ../../sedscript
	../../sedscript <listen.in >listen
	chmod 755 listen

xfaxq: xfaxq.in ../../sedscript
	../../sedscript <xfaxq.in >xfaxq
	../../sedscript <xfaxq.1in >xfaxq.1
	chmod 755 xfaxq

../../sedscript: ../../policy.h ../../Makefile ../../mksed.c
	@cd ../.. ; $(MAKE) sedscript

clean:
	-rm -f $(DIALOG_SCRIPTS)

install: all
	-for i in $(DIALOG_SCRIPTS); do \
		mv -f $(BINDIR)/$$i $(BINDIR)/$$i.old 2>/dev/null ; \
		$(INSTALL) -m 775 $$i $(BINDIR) ; \
	done

=== frontends/perl-tk/Makefile ===
#
# Makefile for mgetty/frontends/tkperl
#
all: faxman xfax

faxman: faxman.in ../../sedscript
	../../sedscript <faxman.in >faxman

xfax: xfax.in ../../sedscript
	../../sedscript <xfax.in >xfax

../../sedscript: ../../Makefile ../../policy.h ../../mksed.c
	@cd ..; $(MAKE) sedscript

install:
# scripts
	$(INSTALL) -m 755 faxman $(BINDIR)
	$(INSTALL) -m 755 xfax $(BINDIR)
# common subroutines / modules
	$(INSTALL) -m 644 FileSelector.pm $(LIBDIR)
	$(INSTALL) -m 644 XYListbox.pm $(LIBDIR)
	$(INSTALL) -m 644 handle_commands.pl $(LIBDIR)

=== frontends/www/Makefile ===
# frontends/www/Makefile
#
# RCS: $Id: Makefile,v 1.16 2006/02/22 17:25:32 gert Exp $
#
# $Log: Makefile,v $
# Revision 1.16  2006/02/22 17:25:32  gert
# remove "make fullclean", do everything in "make clean"
#
# Revision 1.15  2004/11/17 15:40:57  gert
# create install directories if not present yet
#
# Revision 1.14  2004/11/17 15:07:50  gert
# adapt path names to current MEDAT system (D3.0)
# install *.gif images (if not yet installed)
#
# Revision 1.13  1998/12/04 15:56:44  gert
# faxsend added
#
# Revision 1.12  1998/11/24 16:25:43  gert
# add faxhists.in/cgi
#
# Revision 1.11  1998/11/22 10:16:14  gert
# add dependencies for index-e.html
#
# Revision 1.10  1998/11/22 10:13:35  gert
# fix sed/@CGI_HREF@ for empty definition
#
# Revision 1.9  1998/10/27 12:37:27  gert
# new index page (english)
#
# Revision 1.8  1998/10/22 12:55:22  gert
# add (first cut) 'make install' support
#
#...
# Revision 1.1  1998/08/28 14:25:24  gert
# initial release
#

CGI=faxq.cgi faxq-v.cgi faxhist.cgi faxhists.cgi \
		viewfax.cgi nph-vf-gif.cgi faxsend.cgi
HTML=index-d.html index-e.html
IMAGES=delete.gif pfeild.gif pfeill.gif pfeilr.gif

# the directory for the HTML file(s)
# leave empty if you do not want to install the HTML files
HTMLDIR=/david/html/quickfax/

# the directory for the sample image files (left/right arrows, logo, ...)
# (whether this is the same as HTMLDIR or not depends on local preferences,
#  but don't forget to adapt the http path name in wwwgui.conf accordingly)
IMAGEDIR=/stf/html/images/

# this is the directory the CGI binaries will be installed in
# check with your local webmaster or the WWW server documentation!
CGIBINDIR=/david/html/quickfax/cgi-bin/

# this is the logical path from the WWW root to the CGI binaries
# (if the CGI binaries are in the same directory as "index.html", just
# leave it empty: CGI_HREF="")
CGI_HREF=/cgi-bin/
# CGI_HREF=""

all: $(CGI) $(HTML) wwwgui.conf

clean:
	rm -f $(CGI)
	rm -f $(HTML)
	rm -f wwwgui.conf

# install from here is ugly, 'cause we have to go "up" to get LIBDIR etc.
install: all
	@echo "automatic installation largely untested - expect problems"
	sleep 5
	cd ../.. ; $(MAKE) install.www

install.www:
	test -d $(CGIBINDIR) || \
		mkdir -p $(CGIBINDIR)
	test -d $(IMAGEDIR) || \
		mkdir -p $(IMAGEDIR)
	test -d $(HTMLDIR) || \
		mkdir -p $(HTMLDIR)
	-@for i in $(CGI); do \
		echo "$$i -> $(CGIBINDIR)..." ; \
		mv -f $(CGIBINDIR)/$$i $(CGIBINDIR)/$$i.old 2>/dev/null ; \
		$(INSTALL) -m 755 $$i $(CGIBINDIR) ; \
	done
	-@for i in $(IMAGES); do \
		echo "$$i -> $(IMAGEDIR)..." ; \
		test -f $(IMAGEDIR)/$$i || \
		    $(INSTALL) -m 644 $$i $(IMAGEDIR) ; \
	done 
	test -z "$(HTMLDIR)" || \
	    for i in $(HTML); do \
		test -f $(HTMLDIR)/$$i || \
		    $(INSTALL) -m 644 $$i $(HTMLDIR) ; \
	    done
	test -f $(CONFDIR)/wwwgui.conf || \
		$(INSTALL) -o root -m 644 wwwgui.conf $(CONFDIR)/
	$(INSTALL) -m 755 simplequant.pl $(LIBDIR)/
	$(INSTALL) -m 755 wwwsub.pl $(LIBDIR)/

# explicit dependencies

faxq.cgi: faxq.in ../../sedscript
faxq-v.cgi: faxq-v.in ../../sedscript
index-d.html: index-d.in ../../sedscript Makefile
index-e.html: index-e.in ../../sedscript Makefile
faxhist.cgi: faxhist.in ../../sedscript
faxhists.cgi: faxhists.in ../../sedscript
viewfax.cgi: viewfax.in ../../sedscript
nph-vf-gif.cgi: nph-vf-gif.in ../../sedscript
vf-faxov.cgi: vf-faxov.in ../../sedscript
service.cgi: service.in ../../sedscript
faxsend.cgi: faxsend.in ../../sedscript

wwwgui.conf: wwwgui.cfg.in ../../sedscript
	../../sedscript <wwwgui.cfg.in >wwwgui.conf

../../sedscript: ../../policy.h ../../Makefile ../../mksed.c
	@cd ../.. ; $(MAKE) sedscript

#
# inference rules for creating CGI binaries / HTML pages from *.in files
#
.SUFFIXES: .in .cgi .html

.in.cgi:
	rm -f $*.cgi
	../../sedscript <$< >$*.cgi
	chmod +x $*.cgi

.in.html:
	rm -f $*.html
	../../sedscript <$< | \
		sed -e "s!@CGI_HREF@!$(CGI_HREF)!" >$*.html

=== voice/libutil/Makefile ===
#
# Makefile
#
# This is the Makefile for libutil.
#
# $Id: Makefile,v 1.6 2006/02/22 17:25:39 gert Exp $
#

UTILOBJS=check_system.o config.o no_modem.o make_path.o strsep.o variables.o \
         access.o wildmat.o ../../config.o ../../logfile.o

.c.o:
	$(CC) $(CFLAGS) -c $*.c
 
all: libutil.a test_wildmat

config.o: config.c
	$(CC) $(CFLAGS) -DCONF_DIR=\"$(CONFDIR)\" -c $*.c

libutil.a: $(UTILOBJS)
	$(RM) -f libutil.a
	$(AR) $(ARFLAGS) libutil.a $(UTILOBJS)
	-$(RANLIB) libutil.a

test_wildmat: test_wildmat.o wildmat.o
	$(CC) $(LDFLAGS) -o test_wildmat test_wildmat.o wildmat.o

install:

clean:
	@$(RM) -f libutil.a test_wildmat test_wildmat.o $(UTILOBJS)

include depend

=== frontends/X11/viewfax/Makefile ===
# Makefile for viewfax
# Copyright (C) 1990, 1995, 2004  Frank D. Cringle.

# This file is part of viewfax - g3/g4 fax processing software.
#      
# viewfax is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#      
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#      
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

VERS = 2.6

####### Site-specific definitions #######
# Destination directories and installation program for make install
BINDIR = /usr/local/bin
LIBDIR = /usr/local/lib
MANDIR	= /usr/local/man/man1
INSTALL = /usr/bin/install
RM = rm -f
# Location of help file
HELP = \"$(LIBDIR)/viewfax.tif\"
# optimisation level, debug etc
OPT = -g -O2 -Wno-uninitialized -ansi -pedantic
# C compiler and libraries
# vanilla sysv
#CC = cc
#CFLAGS = $(OPT) -DHELPFILE=$(HELP)
#LDFLAGS = $(OPT)
#LIBS = -lsocket
# vanilla BSD
CC = cc
CFLAGS = -DBSD $(OPT) -DHELPFILE=$(HELP) -I/usr/local/include
LDFLAGS = $(OPT)
LIBS =
# sun solaris2 with gcc on supersparc:
#CC = gcc
#CFLAGS = -Wall $(OPT) -DHELPFILE=$(HELP) -msupersparc -I/usr/openwin/include
#LDFLAGS = $(OPT) -L/usr/openwin/lib -R/usr/openwin/lib
#LIBS =
# linux
#CC = gcc
#CFLAGS = $(OPT) -DHELPFILE=$(HELP)
#LDFLAGS = $(OPT) -L/usr/X11R6/lib
#LIBS =

####### End of configurable definitions #######
OBJS = viewfax.o faxinput.o faxinit.o faxexpand.o

viewfax:	$(OBJS)
	$(CC) $(LDFLAGS) -o viewfax $(OBJS) -L/usr/local/lib -lX11 $(LIBS)

g3hack:		g3hack.c

install: viewfax
	$(INSTALL) -s -m 755 viewfax $(BINDIR)
	$(INSTALL) -m 644 viewfax.man $(MANDIR)/viewfax.1
	$(INSTALL) -m 644 viewfax.tif $(LIBDIR)

D = viewfax-$(VERS)
FILES = $D/README $D/COPYING $D/ChangeLog $D/Imakefile $D/Makefile \
	$D/faxexpand.c $D/faxexpand.h $D/faxinput.c $D/faxinit.c \
	$D/viewfax.c $D/viewfax.man $D/viewfax.tif $D/viewfax.help \
	$D/g3hack.c $D/README.kde

viewfax.tif:	viewfax.help
	enscript -B -e^ -T 16 -X ps -o viewfax.ps viewfax.help
	gs -sDEVICE=faxg3 -sOutputFile=viewfax.g3 -dNOPAUSE \
		-q -dSAFER viewfax.ps -c quit
	fax2tiff -M -8 -o viewfax.tif viewfax.g3
	$(RM) viewfax.ps viewfax.g3

tar:;	(cd ..; tar cf - $(FILES) | gzip -9 >$D/$D.tar.gz)

shar:;	(cd ..; shar -a -n$D -M -sfdc@cliwe.ping.de -c -o $D/part -l64 $(FILES))

clean:;	$(RM) *.o *~ core

viewfax.o:	faxexpand.h
faxinput.o:	faxexpand.h
faxinit.o:	faxexpand.h
faxexpand.o:	faxexpand.h
faxcompress.o:	faxexpand.h

=== debian/control ===
Source: mgetty
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Andreas Barth <aba@ayous.org>
Section: comm
Priority: optional
Build-Depends: debhelper-compat (= 13),
               texi2html,
               texinfo,
               texlive,
               groff,
               libx11-dev,
               patch,
               perl,
               po-debconf
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/mgetty
Vcs-Git: https://salsa.debian.org/salvage-team/mgetty.git
Homepage: http://mgetty.greenie.net/
Rules-Requires-Root: no

Package: mgetty
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         install-info
Recommends: logrotate
Suggests: mgetty-fax
Replaces: mgetty-docs
Description: Smart Modem getty replacement
 Mgetty is a versatile program to handle all aspects of a modem under Unix.
 .
 The program 'mgetty' allows you to use a modem for handling external
 logins, receiving faxes and using the modem as a answering machine without
 interfering with outgoing calls.
 .
 This package includes basic modem data capabilities. Install mgetty-fax to
 get the additional functionality for fax. Install mgetty-voice to get the
 functionality to operate voice modems.
 .
 Mgetty is also configurable to select programs other than login for special
 connections (eg: uucico, fido or other programs) depending on the login
 userid. It also supports caller-id if the modem and phone line supply it,
 and can deny connections based on originating telephone number.

Package: mgetty-fax
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cron,
         mgetty (= ${binary:Version}),
         ${perl:Depends}
Suggests: netpbm,
          ghostscript,
          mgetty-viewfax (>= ${binary:Version})
Replaces: mgetty
Description: Faxing tools for mgetty
 The fax subsystem of the mgetty package.
 .
 This subsystems has the enhancements that are needed to send and receive
 faxes with mgetty and a Class 2 faxmodem.
 .
 The program 'mgetty' allows you to use a fax modem for receiving faxes
 and handling external logins without interfering with outgoing calls.

Package: mgetty-viewfax
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Program for displaying Group-3 Fax files under X
 The program 'viewfax' allows you to view Group-3 fax files in an X window.
 Group-3 is the "standard" format for faxes.

Package: mgetty-voice
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mgetty (= ${binary:Version})
Suggests: mgetty-pvftools
Description: Voicemail handler for mgetty
 Vgetty allows you to add answering machine / voicemail capability to all
 the other normal mgetty functions.
 .
 The program 'mgetty' allows you to use a voice modem as an answering
 machine and handling external logins without interfering with outgoing
 calls.
 .
 To create and manipulate voice messages, you need the mgetty-pvftools
 package.

Package: mgetty-pvftools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: ${misc:Depends}
Description: Programs for listening and manipulating pvf and rmd files
 This package contains different utilities from the vgetty package which
 permit to create, listen and manipulate rmd or pvf files. These files are
 the recorded "message files" for using a voice modem as an answering
 machine.
 .
 You will want to install this package to create your greeting messages.

Package: mgetty-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation Package for mgetty
 Sample files and lots of documentation for mgetty. Additional source code
 for programs included that allow to set up a user interface for mgetty.

=== debian/rules ===
#!/usr/bin/make -f
# modifications for use as mgetty's rules file
# Copyright (c) 1998 Philip Hands <phil@hands.com>
# Taken over in 2001-2003 by Wolfgang Sourdeau <was@debian.org>
# major reworks in 2003 by Andreas Barth <aba@not.so.argh.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKG_VER	  = $(shell perl -e 'print <> =~ /\((.*)\)/' debian/changelog)
#PKG_UPVER = $(shell perl -e 'print <> =~ /\((.*)-[^-]*\)/' debian/changelog)
PACKAGE=mgetty

VFDIR = frontends/X11/viewfax

DEBIAN_DIR = $(shell pwd)/debian

PVFTOOLS = autopvf pvfsine pvffilter rmdtopvf pvfcut pvftormd basictopvf \
	pvfspeed pvfmix pvfecho pvftovoc pvftoau voctopvf \
        pvfnoise lintopvf pvffft pvftowav pvftobasic wavtopvf pvfreverse \
	pvffile rmdfile pvfamp pvftolin

build:

build:
	dh_testdir

	touch start-build
	-cp $(DEBIAN_DIR)/policy.h $(DEBIAN_DIR)/voice-defs.h .

	$(MAKE)
	$(MAKE) vgetty
	cd contrib; $(MAKE) g3toxwd g3tolj
	cd $(VFDIR); $(MAKE)

	touch build

build-arch: build

build-indep: build

clean:
	dh_testdir
	dh_testroot
	-if [ -f start-build ]; then \
	  rm -f start-build; \
	  rm -f build; \
	  $(MAKE) clean; \
	  $(MAKE) fullclean; \
	  rm -f contrib/g3tolj contrib/g3toxwd; \
	  rm -f fax/faxq-helper fax/faxq-helper.o \
	  rm -f policy.h voice-defs.h; \
	  cd $(VFDIR);$(MAKE) clean; \
	fi
	-rm frontends/X11/viewfax/viewfax

	debconf-updatepo

	dh_clean

binary-indep:  build
	dh_testdir -i
	dh_testroot -i
	dh_prep -i
	dh_installdirs -i
#	Add here commands to install the files into debian/mgetty
	install -m644 callback/README \
		$(DEBIAN_DIR)/mgetty-docs/usr/share/doc/mgetty/README.callback
	install -m644 $(VFDIR)/README \
		$(DEBIAN_DIR)/mgetty-docs/usr/share/doc/mgetty/README.viewfax
	install -m644 voice/doc/* \
		$(DEBIAN_DIR)/mgetty-docs/usr/share/doc/mgetty/voice
	install -m644 voice/Perl/* \
		$(DEBIAN_DIR)/mgetty-docs/usr/share/doc/mgetty/voice/examples/perl
	install -m644 voice/scripts/* \
		$(DEBIAN_DIR)/mgetty-docs/usr/share/doc/mgetty/voice/examples/scripts
	cp $(DEBIAN_DIR)/inittab \
		$(DEBIAN_DIR)/mgetty-docs/usr/share/doc/mgetty/examples/inittab.DEBIAN

#	dh_movefiles -i --sourcedir=debian/mgetty
	dh_installdocs -i
#	FAQ
	cp -a contrib frontends doc/*.txt doc/mgetty.texi doc/modems.db \
		doc/fhng-codes $(DEBIAN_DIR)/win95.ppp BUGS FTP \
		README.1st THANKS TODO \
		$(DEBIAN_DIR)/mgetty-docs/usr/share/doc/mgetty/
	-rm -rf $(DEBIAN_DIR)/mgetty-docs/usr/share/doc/mgetty/frontends/X11/viewfax/
#	dh_installexamples -i
	cp -a samples/* \
		$(DEBIAN_DIR)/mgetty-docs/usr/share/doc/mgetty/examples
	chmod +x debian/fixpaths.pl
	debian/fixpaths.pl
	dh_installmenu -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installmanpages -i
	dh_installinfo -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch:	build
#	dh_testversion
	dh_testdir -a
	dh_testroot -a
	dh_prep -a
	dh_installdirs -a

#	Mgetty install
	mkdir -p $(DEBIAN_DIR)/mgetty/etc/logrotate.d
	cp $(DEBIAN_DIR)/mgetty.logrotate $(DEBIAN_DIR)/mgetty/etc/logrotate.d/mgetty
	$(MAKE) install DESTDIR=$(DEBIAN_DIR)/mgetty
	$(MAKE) vgetty-install DESTDIR=$(DEBIAN_DIR)/mgetty-voice
	cp voice/ChangeLog \
		$(DEBIAN_DIR)/mgetty-voice/usr/share/doc/mgetty/changelog.voice

#	And usr/sbin stuff
	mv $(DEBIAN_DIR)/mgetty/usr/bin/faxrunq \
		$(DEBIAN_DIR)/mgetty-fax/usr/bin/
	mv $(DEBIAN_DIR)/mgetty/usr/sbin/faxrunqd \
		$(DEBIAN_DIR)/mgetty-fax/usr/sbin/
	mkdir -p $(DEBIAN_DIR)/mgetty-fax/etc/logrotate.d
	cp $(DEBIAN_DIR)/mgetty-fax.logrotate $(DEBIAN_DIR)/mgetty-fax/etc/logrotate.d/mgetty-fax
	mv $(DEBIAN_DIR)/mgetty/usr/bin/newslock $(DEBIAN_DIR)/mgetty-fax/usr/bin/

#	man pages for vm and newslock
	pod2man --section=1 --center="mgetty" $(DEBIAN_DIR)/vm.pod $(DEBIAN_DIR)/mgetty-voice/usr/share/man/man1/vm.1
	cp $(DEBIAN_DIR)/newslock.1 $(DEBIAN_DIR)/mgetty-fax/usr/share/man/man1/

	po2debconf -e utf8 debian/mgetty-fax.templates.master > debian/mgetty-fax.templates

#	Separate pvftools from mgetty-voice
	mkdir -p $(DEBIAN_DIR)/mgetty-pvftools/usr/bin \
		 $(DEBIAN_DIR)/mgetty-pvftools/usr/share/man/man1
	mv -f $(DEBIAN_DIR)/mgetty-voice/usr/share/man/man1/pvf.1 \
	  $(DEBIAN_DIR)/mgetty-pvftools/usr/share/man/man1/; \
	for i in $(PVFTOOLS); do \
	   mv -f $(DEBIAN_DIR)/mgetty-voice/usr/bin/$$i \
	     $(DEBIAN_DIR)/mgetty-pvftools/usr/bin/; \
	   mv -f $(DEBIAN_DIR)/mgetty-voice/usr/share/man/man1/$$i.1 \
	     $(DEBIAN_DIR)/mgetty-pvftools/usr/share/man/man1/; \
	done

#	Contrib stuff
	install -s contrib/g3toxwd contrib/g3tolj $(DEBIAN_DIR)/mgetty-fax/usr/bin
	install -p -m644 contrib/g3toxwd.1 contrib/g3tolj.1 $(DEBIAN_DIR)/mgetty-fax/usr/share/man/man1/

#	viewfax
	mkdir -p $(DEBIAN_DIR)/mgetty-viewfax/usr/share/doc/mgetty-viewfax
	cd $(VFDIR);$(MAKE) install DESTDIR=../../../debian/mgetty-viewfax

#	callback stuff
	install -s callback/callback $(DEBIAN_DIR)/mgetty/usr/sbin

#	Setup a default configuration
	cp *.config $(DEBIAN_DIR)/faxheader $(DEBIAN_DIR)/mgetty/etc/mgetty
	cp $(DEBIAN_DIR)/issue.mgetty $(DEBIAN_DIR)/mgetty/etc/issue.mgetty
	install samples/new_fax.mime4 \
		$(DEBIAN_DIR)/mgetty-fax/etc/mgetty/new_fax
	cp voice/voice.conf-dist \
		$(DEBIAN_DIR)/mgetty-voice/etc/mgetty/voice.conf
	cp fax/etc-magic \
		$(DEBIAN_DIR)/mgetty-fax/usr/share/doc/mgetty/fax.magic
	cp voice/magic.voice \
		$(DEBIAN_DIR)/mgetty-voice/usr/share/doc/mgetty/voice.magic
	rm $(DEBIAN_DIR)/mgetty/usr/bin/g3topbm

#	Make appropriate symlinks.
	ln -s mgetty $(DEBIAN_DIR)/mgetty-fax/usr/share/doc/mgetty-fax
	ln -s mgetty $(DEBIAN_DIR)/mgetty-voice/usr/share/doc/mgetty-voice

#	move fax.1 manpage to mgetty-fax.1
	mv $(DEBIAN_DIR)/mgetty/usr/share/man/man1/fax.1 \
		$(DEBIAN_DIR)/mgetty/usr/share/man/man1/mgetty-fax.1

#	And continue with debian control files
	dh_movefiles -a --sourcedir=debian/mgetty
	rm -rf $(DEBIAN_DIR)/mgetty/usr/info $(DEBIAN_DIR)/mgetty/usr/lib $(DEBIAN_DIR)/mgetty/var/spool/fax/outgoing
	dh_installdocs -pmgetty
	dh_installdocs -pmgetty-viewfax
	dh_installdocs -pmgetty-voice
	dh_installdocs -pmgetty-fax
	dh_installdocs -pmgetty-pvftools
	-rm -f $(DEBIAN_DIR)/mgetty-fax/usr/share/doc/mgetty/copyright
	-rm -f $(DEBIAN_DIR)/mgetty-voice/usr/share/doc/mgetty/copyright

	# move the config templates to the right place
	mv $(DEBIAN_DIR)/mgetty/etc/mgetty/* $(DEBIAN_DIR)/mgetty/usr/share/mgetty/templates/etc/
	# faxheader faxrunq.config sendfax.config
	mv $(DEBIAN_DIR)/mgetty-fax/etc/mgetty/*config $(DEBIAN_DIR)/mgetty-fax/etc/mgetty/faxheader $(DEBIAN_DIR)/mgetty-fax/usr/share/mgetty/templates/etc/
	mv $(DEBIAN_DIR)/mgetty-fax/etc/mgetty/faxspool.rules.sample  $(DEBIAN_DIR)/mgetty-fax/usr/share/doc/mgetty/fax/
	mv $(DEBIAN_DIR)/mgetty-voice/etc/mgetty/* $(DEBIAN_DIR)/mgetty-voice/usr/share/mgetty/templates/etc/

	rm -rf  $(DEBIAN_DIR)/mgetty/usr/share/doc/mgetty/voice

# 	chown $(FAX_USER).$(FAX_GROUP) $(DEBIAN_DIR)/mgetty-fax/usr/lib/mgetty-fax/faxq-helper
# 	chmod 4755 $(DEBIAN_DIR)/mgetty-fax/usr/lib/mgetty-fax/faxq-helper

# 	chown $(FAX_USER).root $(DEBIAN_DIR)/mgetty-fax/var/spool/fax/outgoing
# 	chmod 700 $(DEBIAN_DIR)/mgetty-fax/var/spool/fax/outgoing

# 	chown $(FAX_USER).root $(DEBIAN_DIR)/mgetty-fax/var/lock/fax
# 	chmod 755 $(DEBIAN_DIR)/mgetty-fax/var/lock/fax

	dh_installexamples -a
	dh_installmenu -a
	dh_installinit -a
	dh_installsystemd -a
	dh_installmime -a
	dh_installdebconf -a
#	dh_installmanpages -a
	dh_installchangelogs -pmgetty ChangeLog
	dh_installchangelogs -pmgetty-viewfax $(VFDIR)/ChangeLog $(VFDIR)/README
	dh_installchangelogs -pmgetty-pvftools voice/ChangeLog
	dh_strip -a
	dh_compress -a -Xviewfax.tif
	dh_fixperms -a

	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
#	dh_makeshlibs -a
	dh_md5sums -a
	dh_builddeb -a

binary:	binary-indep binary-arch
.PHONY: binary binary-arch binary-indep clean

=== debian/watch ===
version=4
opts=pasv ftp://mgetty.greenie.net/pub/mgetty/source/1.2/mgetty-@ANY_VERSION@@ARCHIVE_EXT@

## mgetty 1.2.1-1

=== contrib/ptylogin/Makefile ===
# /* Makefile -- ptylogin makefile
#  * Marc SCHAEFER <schaefer@alphanet.ch>
#  * Creation: 10/01/98
#  * Update:   10/01/98
#  * V1.0 PV001
#  * DESCRIPTION
#  *    This makes ptylogin.
#  * NOTES
#  * BUGS
#  * TODO
#  * COPYING-POLICY
#  *    (C) Marc SCHAEFER, under the GPL
#  * BASED-ON
#  *    Original code.
#  * MODIFICATION-HISTORY
#  *    10/01/99  schaefer  Created this file.
#  * $Id: Makefile,v 1.1 1999/01/16 17:17:05 gert Exp $
#  */

CFLAGS=-Wall
LDFLAGS=
LIBS=-lbsd
CC=gcc

SOURCE=ptylogin.c
EXECUTABLE=ptylogin

all: $(EXECUTABLE)

clean:
	rm -f $(EXECUTABLE)

$(EXECUTABLE): $(SOURCE)
	$(CC) $(SOURCE) $(CFLAGS) $(LDFLAGS) $(LIBS) -o $(EXECUTABLE)

=== voice/vgetty/Makefile ===
#
# Makefile
#
# This is the Makefile for vgetty.
#
# $Id: Makefile,v 1.7 2006/02/22 17:25:42 gert Exp $
#

VGETTYOBJS=vgetty.o answer.o button.o event.o message.o rings.o

MGETTYOBJS=../../cnd.o ../../conf_mg.o ../../do_chat.o ../../do_stat.o \
	../../faxhng.o ../../faxlib.o ../../faxrec.o ../../faxrecp.o \
	../../faxsend.o ../../gettydefs.o ../../login.o ../../logname.o \
	../../mg_m_init.o ../../utmp.o ../../ring.o

VOICELIBS=$(MGETTYLIB) $(LIBVOICE) $(LIBUTIL)

.c.o:
	$(CC) $(CFLAGS) -c $*.c

all: vgetty

install:

clean:
	@$(RM) -f vgetty $(VGETTYOBJS)

vgetty.o: ../../mgetty.o
	@$(RM) -f vgetty.o
	@cd ../.. ;\
	$(RM) -f vgetty.c ;\
	$(LN) -s mgetty.c vgetty.c
	cd ../.. ;\
	$(CC) $(CFLAGS) -DVOICE -DFAX_SPOOL_IN=\"$(FAX_SPOOL_IN)\" \
		-DVARRUNDIR=\"$(VARRUNDIR)\" -c vgetty.c
	@$(MV) ../../vgetty.o vgetty.o

vgetty: $(VGETTYOBJS) $(MGETTYOBJS) $(VOICELIBS)
	$(CC) $(LDFLAGS) -o vgetty $(VGETTYOBJS) $(MGETTYOBJS) $(VOICELIBS) \
	 $(LIBS)

include depend

=== voice/vm/Makefile ===
#
# Makefile
#
# This is the Makefile for libvoice.
#
# $Id: Makefile,v 1.5 2006/02/22 17:25:43 gert Exp $
#

VMOBJS=main.o event.o usage.o

MGETTYOBJS=../../cnd.o ../../faxhng.o ../../faxlib.o ../../faxrec.o \
	../../faxrecp.o ../../faxsend.o ../../gettydefs.o ../../login.o \
	../../logname.o ../../utmp.o

VOICELIBS=$(MGETTYLIB) $(LIBVOICE) $(LIBUTIL)

.c.o:
	$(CC) $(CFLAGS) -c $*.c

all: $(VMOBJS) vm

install:

clean:
	@$(RM) -f vm $(VMOBJS)

vm: $(VMOBJS) $(VOICELIBS)
	$(CC) $(LDFLAGS) -o vm $(VMOBJS) $(MGETTYOBJS) $(VOICELIBS) $(LIBS)

include depend
